data-loop.h File Reference
Include dependency graph for data-loop.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | pw_data_loop_events
| Loop events, use pw_data_loop_add_listener to add a listener. More...

## Macros

#define | PW_VERSION_DATA_LOOP_EVENTS 0

## Functions

struct pw_data_loop * | pw_data_loop_new (struct pw_properties *properties)
| Make a new loop. More...
void | pw_data_loop_add_listener (struct pw_data_loop *loop, struct spa_hook *listener, const struct pw_data_loop_events *events, void *data)
| Add an event listener to loop. More...
struct pw_loop * | pw_data_loop_get_loop (struct pw_data_loop *loop)
| Get the loop implementation of this data loop. More...
void | pw_data_loop_destroy (struct pw_data_loop *loop)
| Destroy the loop. More...
int | pw_data_loop_start (struct pw_data_loop *loop)
| Start the processing thread. More...
int | pw_data_loop_stop (struct pw_data_loop *loop)
| Stop the processing thread. More...
bool | pw_data_loop_in_thread (struct pw_data_loop *loop)
| Check if the current thread is the processing thread. More...

## Macro Definition Documentation

## PW_VERSION_DATA_LOOP_EVENTS

#define PW_VERSION_DATA_LOOP_EVENTS 0

## Function Documentation

## pw_data_loop_add_listener()

void pw_data_loop_add_listener | ( | struct pw_data_loop * | loop,
|  | struct spa_hook * | listener,
|  | const struct pw_data_loop_events * | events,
|  | void * | data
| ) |  |

Add an event listener to loop.

## pw_data_loop_destroy()

void pw_data_loop_destroy | ( | struct pw_data_loop * | loop | ) |

Destroy the loop.

Referenced by pw_core::pw_core_destroy().

## pw_data_loop_get_loop()

struct pw_loop* pw_data_loop_get_loop | ( | struct pw_data_loop * | loop | ) |

Get the loop implementation of this data loop.

Referenced by pw_core::pw_core_new().

## pw_data_loop_in_thread()

bool pw_data_loop_in_thread | ( | struct pw_data_loop * | loop | ) |

Check if the current thread is the processing thread.

## pw_data_loop_new()

struct pw_data_loop* pw_data_loop_new | ( | struct pw_properties * | properties | ) |

Make a new loop.

Referenced by pw_core::pw_core_new().

## pw_data_loop_start()

int pw_data_loop_start | ( | struct pw_data_loop * | loop | ) |

Start the processing thread.

Referenced by pw_core::pw_core_new().

## pw_data_loop_stop()

int pw_data_loop_stop | ( | struct pw_data_loop * | loop | ) |

Stop the processing thread.